package org.mentawai.db;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.mentacontainer.Clearable;
import org.mentacontainer.Component;

public class SessionHandler implements Component, Clearable<Session> {
	
	private final SessionFactory sessionFactory;
	
	public SessionHandler(SessionFactory sf) {
		
		this.sessionFactory = sf;
	}
	
	public Session getSession() {
		
		return sessionFactory.openSession();
	}
	
	public <T> T getInstance() {
		
		return (T) getSession();
			
	}
	
	public void release(Session session) {
		
		session.close();
	}
	
	public void onCleared(Session session) {
		
		release(session);
	}
	
}